
TypoScript Reference (TSref) - Task # 26638

Status: Closed Priority: Should have
Author: Chris topher Category:
Created: 2011-05-05 Assigned To: Chris topher
Updated: 2013-03-03 Due date:
Subject: The folder "cms/tslib/media" has been removed
Description

There was a folder typo3/sysext/cms/tslib/media, which contained some example scripts, some flags and so on.
This folder was still present in TYPO3 4.7, but has been removed in 6.0. See #28024.

The occurences need to be updated. Use the files from statictemplates/media instead.
E.g.
    -  usage of some flags in an example in the section on special.language
    -  The default value of filelink.icon.path has been changed to TYPO3_mainDir . '/gfx/fileicons/'.
    -  some pointers to these scripts.

Maybe searching the document for "media" is the easiest way to find all.

Related issues:
related to Core - Task # 28024: Remove tslib/media, cglify statictemplates/media Resolved 2011-07-09

Associated revisions
Revision 1615150b - 2012-10-22 19:59 - Chris topher

[TASK] The folder "cms/tslib/media" has been removed

The folder "cms/tslib/media" has been removed. Update the
documentation accordingly: Most of its contents is now located in
"statictemplates/media", some files have been removed without
replacement and others nowadays are part of an extension (tt_guest).

Change-Id: I7f7f4fe7ac7645cb82c474c8b0c8249da59354cb
Resolves: #26638

History
#1 - 2011-09-05 11:14 - Chris topher
- Target version set to 4.6.0

#2 - 2011-10-26 00:13 - Chris topher
- Target version changed from 4.6.0 to 4.7.0

#3 - 2012-03-26 21:33 - Chris topher
- Target version changed from 4.7.0 to 6.0

#4 - 2012-06-30 17:17 - Chris topher
- Subject changed from Check status of the folder "media" to The folder "cms/tslib/media" has been removed

#5 - 2012-10-22 18:08 - Chris topher
- Tracker changed from Bug to Task
#6 - 2012-10-22 19:07 - Chris topher
- Assigned To set to Chris topher

#7 - 2012-10-22 19:52 - Chris topher

At some places scripts were mentioned, which have been removed without replacement. I just removed those references as well.

#8 - 2012-10-22 19:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15893

#9 - 2012-10-22 20:35 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1615150b605f65907c1e010f447b601986b4d797.

#10 - 2013-03-03 20:51 - Chris topher
- Status changed from Resolved to Closed
